# make -libs subpkg
%define libs 1

Summary: Exif and Iptc metadata manipulation library
Name:	 exiv2
Version: 0.18.2
Release: 2.1%{?dist}

License: GPLv2+
Group:	 Applications/Multimedia
URL: 	 http://www.exiv2.org/
Source0: http://www.exiv2.org/exiv2-%{version}%{?pre:-%{pre}}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: chrpath
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: zlib-devel
# docs
#BuildRequires: doxygen graphviz libxslt

Patch1: exiv2-0.18-deps.patch
Patch2: exiv2-0.18.1-visibility.patch

%if 0%{?libs}
Requires: %{name}-libs = %{version}-%{release}
%else
Obsoletes: %{name}-libs < %{version}-%{release}
Provides:  %{name}-libs = %{version}-%{release}
%endif


%description
A command line utility to access image metadata, allowing one to:
* print the Exif metadata of Jpeg images as summary info, interpreted values,
  or the plain data for each tag
* print the Iptc metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata (including thumbnails),
  Iptc metadata and Jpeg comments

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group:	 Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.

%if 0%{?libs}
%package libs
Summary: Exif and Iptc metadata manipulation library
Group: System Environment/Libraries
%description libs
A C++ library to access image metadata, supporting full read and write access
to the Exif and Iptc metadata, Exif MakerNote support, extract and delete 
methods for Exif thumbnails, classes to access Ifd and so on.
%endif


%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%patch1 -p1 -b .deps
## drop for now, seems no longer needed as of 0.18.2
%patch2 -p1 -b .visibility

mkdir doc/html


%build
%configure \
  --disable-rpath \
  --disable-static 

make %{?_smp_mflags} 


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}

%find_lang exiv2

# Unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la

# fix perms on installed lib
chmod 755 %{buildroot}%{_libdir}/lib*.so*

# nuke rpaths
chrpath --list   %{buildroot}%{_bindir}/exiv2
chrpath --delete %{buildroot}%{_bindir}/exiv2


%clean
rm -rf %{buildroot} 


%post %{?libs:libs} -p /sbin/ldconfig

%postun %{?libs:libs} -p /sbin/ldconfig


%files %{!?libs:-f exiv2.lang} 
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/exiv2
%{_mandir}/man1/*

%if 0%{?libs}
%files libs -f exiv2.lang
%defattr(-,root,root,-)
%endif
%{_libdir}/libexiv2.so.5*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/exiv2/
%{_libdir}/libexiv2.so
%{_libdir}/pkgconfig/exiv2.pc



%changelog

